<template>
  <q-dialog v-model="openDialog">
    <q-card>
      <q-card-section class="top" align="left">
        <div class="text-h6">{{ productInfo.name }}</div>
        <q-btn flat color="primary" icon="edit" />
        <q-btn flat color="primary" icon="delete" />
      </q-card-section>

      <q-card-section class="q-pt-none">
        {{ productInfo.description }}
      </q-card-section>
    </q-card>
  </q-dialog>
</template>

<script>
export default {
  name: "product-details",
  props: {
    productInfo: {
      type: Object,
      required: true
    },
    openDialog: {
      type: Boolean,
      required: true
    }
  },
  mounted() {
    console.log(this.productInfo);
  }
};
</script>

<style lang="scss" scoped>
.top {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
</style>
